#pragma once
#include <map>
struct M_CunJieQianDaoCFGData
{
	//天数
	int mDay;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_CunJieQianDaoCFG
{
public:
private:
	static std::auto_ptr<M_CunJieQianDaoCFG> msSingleton;
public:
	int GetCount();
	const M_CunJieQianDaoCFGData* GetData(int Day);
	const std::map<int, M_CunJieQianDaoCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_CunJieQianDaoCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_CunJieQianDaoCFGData> mMapData;
};
